
/*
 * THIS FILE WAS GENERATED BY PDL::PP! Do not modify!
 */
#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"
#include "pdl.h"
#include "pdlcore.h"
static Core* PDL; /* Structure hold core C functions */
static int __pdl_debugging = 0;
static int __pdl_boundscheck = 0;
static SV* CoreSV;       /* Gets pointer to perl var holding core structure */

/* we need to handle croak ourserlves */
/* #undef croak
   #define croak barf
 */

#if ! 1
# define PP_INDTERM(max, at) at
#else
# define PP_INDTERM(max, at) (__pdl_boundscheck? PDL->safe_indterm(max,at, __FILE__, __LINE__) : at)
#endif

#include <X11/X.h>
#include <GL/gl.h>
#include <GL/glx.h>
#include <GL/glu.h>
#include <GL/glxtokens.h>
#include <stdio.h>

#define NUM_ARG 6
static int debug=0;
static int default_attributes[] = { GLX_RGBA, /*GLX_DOUBLEBUFFER,*/  None };

static Bool WaitForNotify(Display *d, XEvent *e, char *arg) {
    return (e->type == MapNotify) && (e->xmap.window == (Window)arg);
}



MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL

PROTOTYPES: ENABLE

int
set_debugging(i)
	int i;
	CODE:
	RETVAL = __pdl_debugging;
	__pdl_debugging = i;
	OUTPUT:
	RETVAL

int
set_boundscheck(i)
       int i;
       CODE:
       if (! 1)
         warn("Bounds checking is disabled for PDL::Graphics::OpenGL");
       RETVAL = __pdl_boundscheck;
       __pdl_boundscheck = i;
       OUTPUT:
       RETVAL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL



HV *
glpcOpenWindow(x,y,w,h,pw,event_mask, ...)
	int	x
	int	y
	int	w
	int	h
	int	pw
	long	event_mask
	CODE:
	{
       Display *dpy;
       Window win;
       GLXContext ctx;
		 XVisualInfo *vi;
		 XSetWindowAttributes swa;
	    XEvent event;
		 Colormap cmap;
	    Window pwin=(Window)pw;
	    int *attributes = default_attributes;
       unsigned int err;

       RETVAL = newHV();
	    if(items>NUM_ARG){
	        int i;
	        attributes = (int *)malloc((items-NUM_ARG+1)* sizeof(int));
			  if(attributes==NULL){
				 return;
			  }

	        for(i=NUM_ARG;i<items;i++) {
	            attributes[i-NUM_ARG]=SvIV(ST(i));
	        }
	        attributes[items-NUM_ARG]=None;
	    }
       if(debug){
         int i;	
         for(i=0;attributes[i] != None; i++){
		    	printf("att=%d %d\n",i,attributes[i]);
         }
       }       

	    /* get a connection */
	    dpy = XOpenDisplay(NULL);
   

	    if (dpy==NULL){
	      printf("ERROR: failed to get an X connection\n");
  			return;
		 }else if(debug){
			printf("Display open %x\n",dpy);
       }		
	    /* get an appropriate visual */
	    vi = glXChooseVisual(dpy, DefaultScreen(dpy),attributes);
	    if(!vi) {
	      printf("ERROR: failed to get an X visual\n");
			return;
		 }else if(debug){
			printf("Visual open %x\n",vi);
       }		

	    /* create a GLX context */
	    ctx = glXCreateContext(dpy, vi, NULL, GL_TRUE);


	

	    if(!ctx) {
	      printf("ERROR: failed to get an X Context\n");
			return;
		 }else if(debug){
			printf("Context Created %x\n",ctx);
       }		
	
	    /* create a color map */
	    cmap = XCreateColormap(dpy, RootWindow(dpy, vi->screen),
				   vi->visual, AllocNone);
	
	    /* create a window */
	    swa.colormap = cmap;
	    swa.border_pixel = 0;
	    swa.event_mask = event_mask;

	    if(!pwin){
			pwin=RootWindow(dpy, vi->screen);
	      if(debug) printf("Using root as parent window 0x%x\n",pwin);
		 }
	    if(x>=0) {
			win = XCreateWindow(dpy, pwin, x, y, w, h, 0, vi->depth, InputOutput, vi->visual,  CWBackPixel | CWBorderPixel|CWColormap|CWEventMask, &swa);

         if(debug) printf("win = 0x%x\n",win);
			if(!win) {
			  return;
			}
			
			XMapWindow(dpy, win);
			if(event_mask & StructureNotifyMask) {
			  XIfEvent(dpy, &event, WaitForNotify, (char*)win);
			}
		 }
	    /* connect the context to the window */
	    if(!glXMakeCurrent(dpy, win, ctx)) {
			return;
		 }
       if(debug)
         printf("Display=0x%x Window=0x%x Context=0x%x\n",dpy,win,ctx);

       hv_store(RETVAL, "Display", strlen("Display"), newSViv((IV) dpy),0);
       hv_store(RETVAL, "Window", strlen("Window"), newSViv((IV) win),0);
       hv_store(RETVAL, "Context", strlen("Context"),   newSViv((IV) ctx),0);

       hv_store(RETVAL, "GL_Version",strlen("GL_Version"), 
               newSVpv((char *) glGetString(GL_VERSION),0),0);
       hv_store(RETVAL, "GL_Vendor",strlen("GL_Vendor"), 
               newSVpv((char *) glGetString(GL_VENDOR),0),0);
       hv_store(RETVAL, "GL_Renderer",strlen("GL_Renderer"), 
               newSVpv((char *) glGetString(GL_RENDERER),0),0);


 	    /* clear the buffer */
	    glClearColor(0,0,0,1);
       while((err = glGetError()) != GL_NO_ERROR){
         printf("ERROR issued in GL %s\n", gluErrorString(err));
       }

	}
	OUTPUT:
	RETVAL

int
glpRasterFont(name,base,number,d)
	char *name
	int base
	int number
	Display *d
	CODE:
	{
		XFontStruct *fi;
		int lb;
		fi = XLoadQueryFont(d,name);
		if(fi == NULL) {
			die("No font  found",name);
		}
		lb = glGenLists(number);
		if(lb == 0) {
			die("No display lists left for font  (need 0)",name,number);
		}
		glXUseXFont(fi->fid, base, number, lb);
		RETVAL=lb;
	}
	OUTPUT:
	RETVAL

void
glpSetDebug(flag)
	int flag
	CODE:
	{
	debug=flag;
	}

void
glpPrintString(base,str)
	int base
	char *str
	CODE:
	{
		glPushAttrib(GL_LIST_BIT);
		glListBase(base);
		glCallLists(strlen(str),GL_UNSIGNED_BYTE,(GLubyte*)str);
		glPopAttrib();
	}

int
XPending(d)
	Display *	d

int
XResizeWindow(d, w, x, y)
	Display *	d
	Window	w
	int      x
	int      y

void
glpXNextEvent(d)
	void *	d
	PPCODE:
	{
		XEvent event;
		char buf[10];
		KeySym ks;
		XNextEvent(d,&event);
		switch(event.type) {
			case ConfigureNotify:
				EXTEND(sp,3);
				PUSHs(sv_2mortal(newSViv(event.type)));
				PUSHs(sv_2mortal(newSViv(event.xconfigure.width)));
				PUSHs(sv_2mortal(newSViv(event.xconfigure.height)));				
				break;
			case KeyPress:
			case KeyRelease:
				EXTEND(sp,2);
				PUSHs(sv_2mortal(newSViv(event.type)));
				XLookupString(&event.xkey,buf,sizeof(buf),&ks,0);
				buf[0]=(char)ks;buf[1]='\0';
				PUSHs(sv_2mortal(newSVpv(buf,1)));
				break;
			case ButtonPress:
			case ButtonRelease:
				EXTEND(sp,7);
				PUSHs(sv_2mortal(newSViv(event.type)));
				PUSHs(sv_2mortal(newSViv(event.xbutton.button)));
				PUSHs(sv_2mortal(newSViv(event.xbutton.x)));
				PUSHs(sv_2mortal(newSViv(event.xbutton.y)));
				PUSHs(sv_2mortal(newSViv(event.xbutton.x_root)));
				PUSHs(sv_2mortal(newSViv(event.xbutton.y_root)));
				PUSHs(sv_2mortal(newSViv(event.xbutton.state)));
				break;
			case MotionNotify:
				EXTEND(sp,4);
				PUSHs(sv_2mortal(newSViv(event.type)));
				PUSHs(sv_2mortal(newSViv(event.xmotion.state)));
				PUSHs(sv_2mortal(newSViv(event.xmotion.x)));
				PUSHs(sv_2mortal(newSViv(event.xmotion.y)));
				break;
			case Expose:
			default:
				EXTEND(sp,1);
				PUSHs(sv_2mortal(newSViv(event.type)));
				break;
		}
	}



MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glClearIndex(c)
	GLfloat	c


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glClearColor(red,green,blue,alpha)
	GLclampf	red
	GLclampf	green
	GLclampf	blue
	GLclampf	alpha


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glClear(mask)
	GLbitfield	mask


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glIndexMask(mask)
	GLuint	mask


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColorMask(red,green,blue,alpha)
	GLboolean	red
	GLboolean	green
	GLboolean	blue
	GLboolean	alpha


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glAlphaFunc(func,ref)
	GLenum	func
	GLclampf	ref


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glBlendFunc(sfactor,dfactor)
	GLenum	sfactor
	GLenum	dfactor


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glLogicOp(opcode)
	GLenum	opcode


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glCullFace(mode)
	GLenum	mode


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glFrontFace(mode)
	GLenum	mode


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glPointSize(size)
	GLfloat	size


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glLineWidth(width)
	GLfloat	width


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glLineStipple(factor,pattern)
	GLint	factor
	GLushort	pattern


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glPolygonMode(face,mode)
	GLenum	face
	GLenum	mode


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glPolygonOffset(factor,units)
	GLfloat	factor
	GLfloat	units


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glPolygonStipple(mask)
	char *	mask
	CODE:
	{
		unsigned int err;
		glPolygonStipple((GLubyte *)mask);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glPolygonStipple %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetPolygonStipple(mask)
	char *	mask
	CODE:
	{
		unsigned int err;
		glGetPolygonStipple((GLubyte *)mask);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetPolygonStipple %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glEdgeFlag(flag)
	GLboolean	flag


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glEdgeFlagv(flag)
	char *	flag
	CODE:
	{
		unsigned int err;
		glEdgeFlagv((GLboolean *)flag);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glEdgeFlagv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glScissor(x,y,width,height)
	GLint	x
	GLint	y
	GLsizei	width
	GLsizei	height


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glClipPlane(plane,equation)
	GLenum	plane
	char *	equation
	CODE:
	{
		unsigned int err;
		glClipPlane(plane,(GLdouble *)equation);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glClipPlane %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetClipPlane(plane,equation)
	GLenum	plane
	char *	equation
	CODE:
	{
		unsigned int err;
		glGetClipPlane(plane,(GLdouble *)equation);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetClipPlane %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glDrawBuffer(mode)
	GLenum	mode


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glReadBuffer(mode)
	GLenum	mode


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glEnable(cap)
	GLenum	cap


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glDisable(cap)
	GLenum	cap


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLboolean
glIsEnabled(cap)
	GLenum	cap


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glEnableClientState(cap)
	GLenum	cap


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glDisableClientState(cap)
	GLenum	cap


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetBooleanv(pname,params)
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetBooleanv(pname,(GLboolean *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetBooleanv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetDoublev(pname,params)
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetDoublev(pname,(GLdouble *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetDoublev %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetFloatv(pname,params)
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetFloatv(pname,(GLfloat *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetFloatv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetIntegerv(pname,params)
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetIntegerv(pname,(GLint *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetIntegerv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glPushAttrib(mask)
	GLbitfield	mask


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glPopAttrib()


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glPushClientAttrib(mask)
	GLbitfield	mask


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glPopClientAttrib()


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLint
glRenderMode(mode)
	GLenum	mode


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLenum
glGetError()


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glFinish()


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glFlush()


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glHint(target,mode)
	GLenum	target
	GLenum	mode


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glClearDepth(depth)
	GLclampd	depth


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glDepthFunc(func)
	GLenum	func


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glDepthMask(flag)
	GLboolean	flag


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glDepthRange(near_val,far_val)
	GLclampd	near_val
	GLclampd	far_val


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glClearAccum(red,green,blue,alpha)
	GLfloat	red
	GLfloat	green
	GLfloat	blue
	GLfloat	alpha


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glAccum(op,value)
	GLenum	op
	GLfloat	value


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMatrixMode(mode)
	GLenum	mode


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glOrtho(left,right,bottom,top,near_val,far_val)
	GLdouble	left
	GLdouble	right
	GLdouble	bottom
	GLdouble	top
	GLdouble	near_val
	GLdouble	far_val


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glFrustum(left,right,bottom,top,near_val,far_val)
	GLdouble	left
	GLdouble	right
	GLdouble	bottom
	GLdouble	top
	GLdouble	near_val
	GLdouble	far_val


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glViewport(x,y,width,height)
	GLint	x
	GLint	y
	GLsizei	width
	GLsizei	height


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glPushMatrix()


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glPopMatrix()


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glLoadIdentity()


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glLoadMatrixd(m)
	char *	m
	CODE:
	{
		unsigned int err;
		glLoadMatrixd((GLdouble *)m);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glLoadMatrixd %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glLoadMatrixf(m)
	char *	m
	CODE:
	{
		unsigned int err;
		glLoadMatrixf((GLfloat *)m);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glLoadMatrixf %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultMatrixd(m)
	char *	m
	CODE:
	{
		unsigned int err;
		glMultMatrixd((GLdouble *)m);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultMatrixd %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultMatrixf(m)
	char *	m
	CODE:
	{
		unsigned int err;
		glMultMatrixf((GLfloat *)m);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultMatrixf %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRotated(angle,x,y,z)
	GLdouble	angle
	GLdouble	x
	GLdouble	y
	GLdouble	z


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRotatef(angle,x,y,z)
	GLfloat	angle
	GLfloat	x
	GLfloat	y
	GLfloat	z


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glScaled(x,y,z)
	GLdouble	x
	GLdouble	y
	GLdouble	z


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glScalef(x,y,z)
	GLfloat	x
	GLfloat	y
	GLfloat	z


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTranslated(x,y,z)
	GLdouble	x
	GLdouble	y
	GLdouble	z


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTranslatef(x,y,z)
	GLfloat	x
	GLfloat	y
	GLfloat	z


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLboolean
glIsList(list)
	GLuint	list


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glDeleteLists(list,range)
	GLuint	list
	GLsizei	range


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLuint
glGenLists(range)
	GLsizei	range


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glNewList(list,mode)
	GLuint	list
	GLenum	mode


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glEndList()


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glCallList(list)
	GLuint	list


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glCallLists(n,type,lists)
	GLsizei	n
	GLenum	type
	char *	lists
	CODE:
	{
		unsigned int err;
		glCallLists(n,type,(void *)lists);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glCallLists %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glListBase(base)
	GLuint	base


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glBegin(mode)
	GLenum	mode


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glEnd()


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex2d(x,y)
	GLdouble	x
	GLdouble	y


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex2f(x,y)
	GLfloat	x
	GLfloat	y


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex2i(x,y)
	GLint	x
	GLint	y


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex2s(x,y)
	GLshort	x
	GLshort	y


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex3d(x,y,z)
	GLdouble	x
	GLdouble	y
	GLdouble	z


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex3f(x,y,z)
	GLfloat	x
	GLfloat	y
	GLfloat	z


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex3i(x,y,z)
	GLint	x
	GLint	y
	GLint	z


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex3s(x,y,z)
	GLshort	x
	GLshort	y
	GLshort	z


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex4d(x,y,z,w)
	GLdouble	x
	GLdouble	y
	GLdouble	z
	GLdouble	w


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex4f(x,y,z,w)
	GLfloat	x
	GLfloat	y
	GLfloat	z
	GLfloat	w


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex4i(x,y,z,w)
	GLint	x
	GLint	y
	GLint	z
	GLint	w


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex4s(x,y,z,w)
	GLshort	x
	GLshort	y
	GLshort	z
	GLshort	w


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex2dv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glVertex2dv((GLdouble *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glVertex2dv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex2fv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glVertex2fv((GLfloat *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glVertex2fv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex2iv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glVertex2iv((GLint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glVertex2iv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex2sv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glVertex2sv((GLshort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glVertex2sv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex3dv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glVertex3dv((GLdouble *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glVertex3dv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex3fv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glVertex3fv((GLfloat *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glVertex3fv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex3iv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glVertex3iv((GLint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glVertex3iv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex3sv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glVertex3sv((GLshort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glVertex3sv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex4dv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glVertex4dv((GLdouble *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glVertex4dv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex4fv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glVertex4fv((GLfloat *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glVertex4fv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex4iv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glVertex4iv((GLint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glVertex4iv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertex4sv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glVertex4sv((GLshort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glVertex4sv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glNormal3b(nx,ny,nz)
	GLbyte	nx
	GLbyte	ny
	GLbyte	nz


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glNormal3d(nx,ny,nz)
	GLdouble	nx
	GLdouble	ny
	GLdouble	nz


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glNormal3f(nx,ny,nz)
	GLfloat	nx
	GLfloat	ny
	GLfloat	nz


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glNormal3i(nx,ny,nz)
	GLint	nx
	GLint	ny
	GLint	nz


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glNormal3s(nx,ny,nz)
	GLshort	nx
	GLshort	ny
	GLshort	nz


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glNormal3bv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glNormal3bv((GLbyte *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glNormal3bv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glNormal3dv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glNormal3dv((GLdouble *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glNormal3dv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glNormal3fv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glNormal3fv((GLfloat *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glNormal3fv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glNormal3iv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glNormal3iv((GLint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glNormal3iv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glNormal3sv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glNormal3sv((GLshort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glNormal3sv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glIndexd(c)
	GLdouble	c


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glIndexf(c)
	GLfloat	c


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glIndexi(c)
	GLint	c


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glIndexs(c)
	GLshort	c


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glIndexub(c)
	GLubyte	c


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glIndexdv(c)
	char *	c
	CODE:
	{
		unsigned int err;
		glIndexdv((GLdouble *)c);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glIndexdv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glIndexfv(c)
	char *	c
	CODE:
	{
		unsigned int err;
		glIndexfv((GLfloat *)c);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glIndexfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glIndexiv(c)
	char *	c
	CODE:
	{
		unsigned int err;
		glIndexiv((GLint *)c);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glIndexiv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glIndexsv(c)
	char *	c
	CODE:
	{
		unsigned int err;
		glIndexsv((GLshort *)c);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glIndexsv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glIndexubv(c)
	char *	c
	CODE:
	{
		unsigned int err;
		glIndexubv((GLubyte *)c);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glIndexubv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor3b(red,green,blue)
	GLbyte	red
	GLbyte	green
	GLbyte	blue


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor3d(red,green,blue)
	GLdouble	red
	GLdouble	green
	GLdouble	blue


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor3f(red,green,blue)
	GLfloat	red
	GLfloat	green
	GLfloat	blue


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor3i(red,green,blue)
	GLint	red
	GLint	green
	GLint	blue


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor3s(red,green,blue)
	GLshort	red
	GLshort	green
	GLshort	blue


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor3ub(red,green,blue)
	GLubyte	red
	GLubyte	green
	GLubyte	blue


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor3ui(red,green,blue)
	GLuint	red
	GLuint	green
	GLuint	blue


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor3us(red,green,blue)
	GLushort	red
	GLushort	green
	GLushort	blue


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor4b(red,green,blue,alpha)
	GLbyte	red
	GLbyte	green
	GLbyte	blue
	GLbyte	alpha


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor4d(red,green,blue,alpha)
	GLdouble	red
	GLdouble	green
	GLdouble	blue
	GLdouble	alpha


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor4f(red,green,blue,alpha)
	GLfloat	red
	GLfloat	green
	GLfloat	blue
	GLfloat	alpha


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor4i(red,green,blue,alpha)
	GLint	red
	GLint	green
	GLint	blue
	GLint	alpha


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor4s(red,green,blue,alpha)
	GLshort	red
	GLshort	green
	GLshort	blue
	GLshort	alpha


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor4ub(red,green,blue,alpha)
	GLubyte	red
	GLubyte	green
	GLubyte	blue
	GLubyte	alpha


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor4ui(red,green,blue,alpha)
	GLuint	red
	GLuint	green
	GLuint	blue
	GLuint	alpha


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor4us(red,green,blue,alpha)
	GLushort	red
	GLushort	green
	GLushort	blue
	GLushort	alpha


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor3bv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glColor3bv((GLbyte *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glColor3bv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor3dv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glColor3dv((GLdouble *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glColor3dv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor3fv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glColor3fv((GLfloat *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glColor3fv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor3iv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glColor3iv((GLint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glColor3iv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor3sv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glColor3sv((GLshort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glColor3sv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor3ubv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glColor3ubv((GLubyte *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glColor3ubv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor3uiv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glColor3uiv((GLuint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glColor3uiv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor3usv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glColor3usv((GLushort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glColor3usv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor4bv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glColor4bv((GLbyte *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glColor4bv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor4dv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glColor4dv((GLdouble *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glColor4dv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor4fv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glColor4fv((GLfloat *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glColor4fv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor4iv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glColor4iv((GLint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glColor4iv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor4sv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glColor4sv((GLshort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glColor4sv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor4ubv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glColor4ubv((GLubyte *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glColor4ubv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor4uiv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glColor4uiv((GLuint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glColor4uiv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColor4usv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glColor4usv((GLushort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glColor4usv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord1d(s)
	GLdouble	s


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord1f(s)
	GLfloat	s


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord1i(s)
	GLint	s


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord1s(s)
	GLshort	s


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord2d(s,t)
	GLdouble	s
	GLdouble	t


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord2f(s,t)
	GLfloat	s
	GLfloat	t


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord2i(s,t)
	GLint	s
	GLint	t


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord2s(s,t)
	GLshort	s
	GLshort	t


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord3d(s,t,r)
	GLdouble	s
	GLdouble	t
	GLdouble	r


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord3f(s,t,r)
	GLfloat	s
	GLfloat	t
	GLfloat	r


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord3i(s,t,r)
	GLint	s
	GLint	t
	GLint	r


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord3s(s,t,r)
	GLshort	s
	GLshort	t
	GLshort	r


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord4d(s,t,r,q)
	GLdouble	s
	GLdouble	t
	GLdouble	r
	GLdouble	q


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord4f(s,t,r,q)
	GLfloat	s
	GLfloat	t
	GLfloat	r
	GLfloat	q


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord4i(s,t,r,q)
	GLint	s
	GLint	t
	GLint	r
	GLint	q


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord4s(s,t,r,q)
	GLshort	s
	GLshort	t
	GLshort	r
	GLshort	q


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord1dv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glTexCoord1dv((GLdouble *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexCoord1dv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord1fv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glTexCoord1fv((GLfloat *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexCoord1fv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord1iv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glTexCoord1iv((GLint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexCoord1iv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord1sv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glTexCoord1sv((GLshort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexCoord1sv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord2dv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glTexCoord2dv((GLdouble *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexCoord2dv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord2fv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glTexCoord2fv((GLfloat *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexCoord2fv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord2iv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glTexCoord2iv((GLint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexCoord2iv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord2sv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glTexCoord2sv((GLshort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexCoord2sv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord3dv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glTexCoord3dv((GLdouble *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexCoord3dv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord3fv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glTexCoord3fv((GLfloat *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexCoord3fv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord3iv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glTexCoord3iv((GLint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexCoord3iv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord3sv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glTexCoord3sv((GLshort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexCoord3sv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord4dv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glTexCoord4dv((GLdouble *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexCoord4dv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord4fv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glTexCoord4fv((GLfloat *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexCoord4fv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord4iv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glTexCoord4iv((GLint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexCoord4iv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoord4sv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glTexCoord4sv((GLshort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexCoord4sv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos2d(x,y)
	GLdouble	x
	GLdouble	y


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos2f(x,y)
	GLfloat	x
	GLfloat	y


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos2i(x,y)
	GLint	x
	GLint	y


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos2s(x,y)
	GLshort	x
	GLshort	y


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos3d(x,y,z)
	GLdouble	x
	GLdouble	y
	GLdouble	z


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos3f(x,y,z)
	GLfloat	x
	GLfloat	y
	GLfloat	z


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos3i(x,y,z)
	GLint	x
	GLint	y
	GLint	z


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos3s(x,y,z)
	GLshort	x
	GLshort	y
	GLshort	z


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos4d(x,y,z,w)
	GLdouble	x
	GLdouble	y
	GLdouble	z
	GLdouble	w


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos4f(x,y,z,w)
	GLfloat	x
	GLfloat	y
	GLfloat	z
	GLfloat	w


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos4i(x,y,z,w)
	GLint	x
	GLint	y
	GLint	z
	GLint	w


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos4s(x,y,z,w)
	GLshort	x
	GLshort	y
	GLshort	z
	GLshort	w


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos2dv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glRasterPos2dv((GLdouble *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glRasterPos2dv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos2fv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glRasterPos2fv((GLfloat *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glRasterPos2fv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos2iv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glRasterPos2iv((GLint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glRasterPos2iv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos2sv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glRasterPos2sv((GLshort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glRasterPos2sv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos3dv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glRasterPos3dv((GLdouble *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glRasterPos3dv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos3fv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glRasterPos3fv((GLfloat *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glRasterPos3fv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos3iv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glRasterPos3iv((GLint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glRasterPos3iv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos3sv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glRasterPos3sv((GLshort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glRasterPos3sv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos4dv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glRasterPos4dv((GLdouble *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glRasterPos4dv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos4fv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glRasterPos4fv((GLfloat *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glRasterPos4fv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos4iv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glRasterPos4iv((GLint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glRasterPos4iv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRasterPos4sv(v)
	char *	v
	CODE:
	{
		unsigned int err;
		glRasterPos4sv((GLshort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glRasterPos4sv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRectd(x1,y1,x2,y2)
	GLdouble	x1
	GLdouble	y1
	GLdouble	x2
	GLdouble	y2


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRectf(x1,y1,x2,y2)
	GLfloat	x1
	GLfloat	y1
	GLfloat	x2
	GLfloat	y2


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRecti(x1,y1,x2,y2)
	GLint	x1
	GLint	y1
	GLint	x2
	GLint	y2


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRects(x1,y1,x2,y2)
	GLshort	x1
	GLshort	y1
	GLshort	x2
	GLshort	y2


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRectdv(v1,v2)
	char *	v1
	char *	v2
	CODE:
	{
		unsigned int err;
		glRectdv((GLdouble *)v1,(GLdouble *)v2);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glRectdv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRectfv(v1,v2)
	char *	v1
	char *	v2
	CODE:
	{
		unsigned int err;
		glRectfv((GLfloat *)v1,(GLfloat *)v2);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glRectfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRectiv(v1,v2)
	char *	v1
	char *	v2
	CODE:
	{
		unsigned int err;
		glRectiv((GLint *)v1,(GLint *)v2);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glRectiv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glRectsv(v1,v2)
	char *	v1
	char *	v2
	CODE:
	{
		unsigned int err;
		glRectsv((GLshort *)v1,(GLshort *)v2);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glRectsv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glVertexPointer(size,type,stride,ptr)
	GLint	size
	GLenum	type
	GLsizei	stride
	char *	ptr
	CODE:
	{
		unsigned int err;
		glVertexPointer(size,type,stride,(void *)ptr);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glVertexPointer %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glNormalPointer(type,stride,ptr)
	GLenum	type
	GLsizei	stride
	char *	ptr
	CODE:
	{
		unsigned int err;
		glNormalPointer(type,stride,(void *)ptr);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glNormalPointer %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColorPointer(size,type,stride,ptr)
	GLint	size
	GLenum	type
	GLsizei	stride
	char *	ptr
	CODE:
	{
		unsigned int err;
		glColorPointer(size,type,stride,(void *)ptr);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glColorPointer %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glIndexPointer(type,stride,ptr)
	GLenum	type
	GLsizei	stride
	char *	ptr
	CODE:
	{
		unsigned int err;
		glIndexPointer(type,stride,(void *)ptr);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glIndexPointer %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexCoordPointer(size,type,stride,ptr)
	GLint	size
	GLenum	type
	GLsizei	stride
	char *	ptr
	CODE:
	{
		unsigned int err;
		glTexCoordPointer(size,type,stride,(void *)ptr);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexCoordPointer %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glEdgeFlagPointer(stride,ptr)
	GLsizei	stride
	char *	ptr
	CODE:
	{
		unsigned int err;
		glEdgeFlagPointer(stride,(void *)ptr);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glEdgeFlagPointer %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetPointerv(pname,params)
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetPointerv(pname,(void * *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetPointerv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glArrayElement(i)
	GLint	i


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glDrawArrays(mode,first,count)
	GLenum	mode
	GLint	first
	GLsizei	count


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glDrawElements(mode,count,type,indices)
	GLenum	mode
	GLsizei	count
	GLenum	type
	char *	indices
	CODE:
	{
		unsigned int err;
		glDrawElements(mode,count,type,(void *)indices);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glDrawElements %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glInterleavedArrays(format,stride,pointer)
	GLenum	format
	GLsizei	stride
	char *	pointer
	CODE:
	{
		unsigned int err;
		glInterleavedArrays(format,stride,(void *)pointer);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glInterleavedArrays %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glShadeModel(mode)
	GLenum	mode


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glLightf(light,pname,param)
	GLenum	light
	GLenum	pname
	GLfloat	param


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glLighti(light,pname,param)
	GLenum	light
	GLenum	pname
	GLint	param


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glLightfv(light,pname,params)
	GLenum	light
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glLightfv(light,pname,(GLfloat *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glLightfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glLightiv(light,pname,params)
	GLenum	light
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glLightiv(light,pname,(GLint *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glLightiv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetLightfv(light,pname,params)
	GLenum	light
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetLightfv(light,pname,(GLfloat *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetLightfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetLightiv(light,pname,params)
	GLenum	light
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetLightiv(light,pname,(GLint *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetLightiv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glLightModelf(pname,param)
	GLenum	pname
	GLfloat	param


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glLightModeli(pname,param)
	GLenum	pname
	GLint	param


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glLightModelfv(pname,params)
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glLightModelfv(pname,(GLfloat *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glLightModelfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glLightModeliv(pname,params)
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glLightModeliv(pname,(GLint *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glLightModeliv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMaterialf(face,pname,param)
	GLenum	face
	GLenum	pname
	GLfloat	param


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMateriali(face,pname,param)
	GLenum	face
	GLenum	pname
	GLint	param


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMaterialfv(face,pname,params)
	GLenum	face
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glMaterialfv(face,pname,(GLfloat *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMaterialfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMaterialiv(face,pname,params)
	GLenum	face
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glMaterialiv(face,pname,(GLint *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMaterialiv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetMaterialfv(face,pname,params)
	GLenum	face
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetMaterialfv(face,pname,(GLfloat *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetMaterialfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetMaterialiv(face,pname,params)
	GLenum	face
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetMaterialiv(face,pname,(GLint *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetMaterialiv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColorMaterial(face,mode)
	GLenum	face
	GLenum	mode


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glPixelZoom(xfactor,yfactor)
	GLfloat	xfactor
	GLfloat	yfactor


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glPixelStoref(pname,param)
	GLenum	pname
	GLfloat	param


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glPixelStorei(pname,param)
	GLenum	pname
	GLint	param


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glPixelTransferf(pname,param)
	GLenum	pname
	GLfloat	param


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glPixelTransferi(pname,param)
	GLenum	pname
	GLint	param


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glPixelMapfv(map,mapsize,values)
	GLenum	map
	GLsizei	mapsize
	char *	values
	CODE:
	{
		unsigned int err;
		glPixelMapfv(map,mapsize,(GLfloat *)values);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glPixelMapfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glPixelMapuiv(map,mapsize,values)
	GLenum	map
	GLsizei	mapsize
	char *	values
	CODE:
	{
		unsigned int err;
		glPixelMapuiv(map,mapsize,(GLuint *)values);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glPixelMapuiv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glPixelMapusv(map,mapsize,values)
	GLenum	map
	GLsizei	mapsize
	char *	values
	CODE:
	{
		unsigned int err;
		glPixelMapusv(map,mapsize,(GLushort *)values);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glPixelMapusv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetPixelMapfv(map,values)
	GLenum	map
	char *	values
	CODE:
	{
		unsigned int err;
		glGetPixelMapfv(map,(GLfloat *)values);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetPixelMapfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetPixelMapuiv(map,values)
	GLenum	map
	char *	values
	CODE:
	{
		unsigned int err;
		glGetPixelMapuiv(map,(GLuint *)values);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetPixelMapuiv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetPixelMapusv(map,values)
	GLenum	map
	char *	values
	CODE:
	{
		unsigned int err;
		glGetPixelMapusv(map,(GLushort *)values);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetPixelMapusv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glBitmap(width,height,xorig,yorig,xmove,ymove,bitmap)
	GLsizei	width
	GLsizei	height
	GLfloat	xorig
	GLfloat	yorig
	GLfloat	xmove
	GLfloat	ymove
	char *	bitmap
	CODE:
	{
		unsigned int err;
		glBitmap(width,height,xorig,yorig,xmove,ymove,(GLubyte *)bitmap);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glBitmap %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glReadPixels(x,y,width,height,format,type,pixels)
	GLint	x
	GLint	y
	GLsizei	width
	GLsizei	height
	GLenum	format
	GLenum	type
	char *	pixels
	CODE:
	{
		unsigned int err;
		glReadPixels(x,y,width,height,format,type,(void *)pixels);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glReadPixels %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glDrawPixels(width,height,format,type,pixels)
	GLsizei	width
	GLsizei	height
	GLenum	format
	GLenum	type
	char *	pixels
	CODE:
	{
		unsigned int err;
		glDrawPixels(width,height,format,type,(void *)pixels);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glDrawPixels %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glCopyPixels(x,y,width,height,type)
	GLint	x
	GLint	y
	GLsizei	width
	GLsizei	height
	GLenum	type


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glStencilFunc(func,ref,mask)
	GLenum	func
	GLint	ref
	GLuint	mask


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glStencilMask(mask)
	GLuint	mask


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glStencilOp(fail,zfail,zpass)
	GLenum	fail
	GLenum	zfail
	GLenum	zpass


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glClearStencil(s)
	GLint	s


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexGend(coord,pname,param)
	GLenum	coord
	GLenum	pname
	GLdouble	param


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexGenf(coord,pname,param)
	GLenum	coord
	GLenum	pname
	GLfloat	param


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexGeni(coord,pname,param)
	GLenum	coord
	GLenum	pname
	GLint	param


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexGendv(coord,pname,params)
	GLenum	coord
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glTexGendv(coord,pname,(GLdouble *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexGendv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexGenfv(coord,pname,params)
	GLenum	coord
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glTexGenfv(coord,pname,(GLfloat *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexGenfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexGeniv(coord,pname,params)
	GLenum	coord
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glTexGeniv(coord,pname,(GLint *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexGeniv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetTexGendv(coord,pname,params)
	GLenum	coord
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetTexGendv(coord,pname,(GLdouble *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetTexGendv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetTexGenfv(coord,pname,params)
	GLenum	coord
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetTexGenfv(coord,pname,(GLfloat *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetTexGenfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetTexGeniv(coord,pname,params)
	GLenum	coord
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetTexGeniv(coord,pname,(GLint *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetTexGeniv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexEnvf(target,pname,param)
	GLenum	target
	GLenum	pname
	GLfloat	param


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexEnvi(target,pname,param)
	GLenum	target
	GLenum	pname
	GLint	param


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexEnvfv(target,pname,params)
	GLenum	target
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glTexEnvfv(target,pname,(GLfloat *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexEnvfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexEnviv(target,pname,params)
	GLenum	target
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glTexEnviv(target,pname,(GLint *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexEnviv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetTexEnvfv(target,pname,params)
	GLenum	target
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetTexEnvfv(target,pname,(GLfloat *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetTexEnvfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetTexEnviv(target,pname,params)
	GLenum	target
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetTexEnviv(target,pname,(GLint *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetTexEnviv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexParameterf(target,pname,param)
	GLenum	target
	GLenum	pname
	GLfloat	param


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexParameteri(target,pname,param)
	GLenum	target
	GLenum	pname
	GLint	param


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexParameterfv(target,pname,params)
	GLenum	target
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glTexParameterfv(target,pname,(GLfloat *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexParameterfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexParameteriv(target,pname,params)
	GLenum	target
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glTexParameteriv(target,pname,(GLint *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexParameteriv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetTexParameterfv(target,pname,params)
	GLenum	target
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetTexParameterfv(target,pname,(GLfloat *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetTexParameterfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetTexParameteriv(target,pname,params)
	GLenum	target
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetTexParameteriv(target,pname,(GLint *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetTexParameteriv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetTexLevelParameterfv(target,level,pname,params)
	GLenum	target
	GLint	level
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetTexLevelParameterfv(target,level,pname,(GLfloat *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetTexLevelParameterfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetTexLevelParameteriv(target,level,pname,params)
	GLenum	target
	GLint	level
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetTexLevelParameteriv(target,level,pname,(GLint *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetTexLevelParameteriv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexImage1D(target,level,internalFormat,width,border,format,type,pixels)
	GLenum	target
	GLint	level
	GLint	internalFormat
	GLsizei	width
	GLint	border
	GLenum	format
	GLenum	type
	char *	pixels
	CODE:
	{
		unsigned int err;
		glTexImage1D(target,level,internalFormat,width,border,format,type,(void *)pixels);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexImage1D %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexImage2D(target,level,internalFormat,width,height,border,format,type,pixels)
	GLenum	target
	GLint	level
	GLint	internalFormat
	GLsizei	width
	GLsizei	height
	GLint	border
	GLenum	format
	GLenum	type
	char *	pixels
	CODE:
	{
		unsigned int err;
		glTexImage2D(target,level,internalFormat,width,height,border,format,type,(void *)pixels);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexImage2D %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetTexImage(target,level,format,type,pixels)
	GLenum	target
	GLint	level
	GLenum	format
	GLenum	type
	char *	pixels
	CODE:
	{
		unsigned int err;
		glGetTexImage(target,level,format,type,(void *)pixels);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetTexImage %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGenTextures(n,textures)
	GLsizei	n
	char *	textures
	CODE:
	{
		unsigned int err;
		glGenTextures(n,(GLuint *)textures);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGenTextures %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glDeleteTextures(n,textures)
	GLsizei	n
	char *	textures
	CODE:
	{
		unsigned int err;
		glDeleteTextures(n,(GLuint *)textures);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glDeleteTextures %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glBindTexture(target,texture)
	GLenum	target
	GLuint	texture


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glPrioritizeTextures(n,textures,priorities)
	GLsizei	n
	char *	textures
	char *	priorities
	CODE:
	{
		unsigned int err;
		glPrioritizeTextures(n,(GLuint *)textures,(GLclampf *)priorities);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glPrioritizeTextures %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLboolean
glAreTexturesResident(n,textures,residences)
	GLsizei	n
	char *	textures
	char *	residences
	CODE:
	{
		unsigned int err;
		glAreTexturesResident(n,(GLuint *)textures,(GLboolean *)residences);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glAreTexturesResident %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLboolean
glIsTexture(texture)
	GLuint	texture


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexSubImage1D(target,level,xoffset,width,format,type,pixels)
	GLenum	target
	GLint	level
	GLint	xoffset
	GLsizei	width
	GLenum	format
	GLenum	type
	char *	pixels
	CODE:
	{
		unsigned int err;
		glTexSubImage1D(target,level,xoffset,width,format,type,(void *)pixels);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexSubImage1D %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexSubImage2D(target,level,xoffset,yoffset,width,height,format,type,pixels)
	GLenum	target
	GLint	level
	GLint	xoffset
	GLint	yoffset
	GLsizei	width
	GLsizei	height
	GLenum	format
	GLenum	type
	char *	pixels
	CODE:
	{
		unsigned int err;
		glTexSubImage2D(target,level,xoffset,yoffset,width,height,format,type,(void *)pixels);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexSubImage2D %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glCopyTexImage1D(target,level,internalformat,x,y,width,border)
	GLenum	target
	GLint	level
	GLenum	internalformat
	GLint	x
	GLint	y
	GLsizei	width
	GLint	border


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glCopyTexImage2D(target,level,internalformat,x,y,width,height,border)
	GLenum	target
	GLint	level
	GLenum	internalformat
	GLint	x
	GLint	y
	GLsizei	width
	GLsizei	height
	GLint	border


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glCopyTexSubImage1D(target,level,xoffset,x,y,width)
	GLenum	target
	GLint	level
	GLint	xoffset
	GLint	x
	GLint	y
	GLsizei	width


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glCopyTexSubImage2D(target,level,xoffset,yoffset,x,y,width,height)
	GLenum	target
	GLint	level
	GLint	xoffset
	GLint	yoffset
	GLint	x
	GLint	y
	GLsizei	width
	GLsizei	height


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMap1d(target,u1,u2,stride,order,points)
	GLenum	target
	GLdouble	u1
	GLdouble	u2
	GLint	stride
	GLint	order
	char *	points
	CODE:
	{
		unsigned int err;
		glMap1d(target,u1,u2,stride,order,(GLdouble *)points);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMap1d %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMap1f(target,u1,u2,stride,order,points)
	GLenum	target
	GLfloat	u1
	GLfloat	u2
	GLint	stride
	GLint	order
	char *	points
	CODE:
	{
		unsigned int err;
		glMap1f(target,u1,u2,stride,order,(GLfloat *)points);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMap1f %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMap2d(target,u1,u2,ustride,uorder,v1,v2,vstride,vorder,points)
	GLenum	target
	GLdouble	u1
	GLdouble	u2
	GLint	ustride
	GLint	uorder
	GLdouble	v1
	GLdouble	v2
	GLint	vstride
	GLint	vorder
	char *	points
	CODE:
	{
		unsigned int err;
		glMap2d(target,u1,u2,ustride,uorder,v1,v2,vstride,vorder,(GLdouble *)points);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMap2d %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMap2f(target,u1,u2,ustride,uorder,v1,v2,vstride,vorder,points)
	GLenum	target
	GLfloat	u1
	GLfloat	u2
	GLint	ustride
	GLint	uorder
	GLfloat	v1
	GLfloat	v2
	GLint	vstride
	GLint	vorder
	char *	points
	CODE:
	{
		unsigned int err;
		glMap2f(target,u1,u2,ustride,uorder,v1,v2,vstride,vorder,(GLfloat *)points);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMap2f %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetMapdv(target,query,v)
	GLenum	target
	GLenum	query
	char *	v
	CODE:
	{
		unsigned int err;
		glGetMapdv(target,query,(GLdouble *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetMapdv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetMapfv(target,query,v)
	GLenum	target
	GLenum	query
	char *	v
	CODE:
	{
		unsigned int err;
		glGetMapfv(target,query,(GLfloat *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetMapfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetMapiv(target,query,v)
	GLenum	target
	GLenum	query
	char *	v
	CODE:
	{
		unsigned int err;
		glGetMapiv(target,query,(GLint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetMapiv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glEvalCoord1d(u)
	GLdouble	u


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glEvalCoord1f(u)
	GLfloat	u


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glEvalCoord1dv(u)
	char *	u
	CODE:
	{
		unsigned int err;
		glEvalCoord1dv((GLdouble *)u);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glEvalCoord1dv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glEvalCoord1fv(u)
	char *	u
	CODE:
	{
		unsigned int err;
		glEvalCoord1fv((GLfloat *)u);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glEvalCoord1fv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glEvalCoord2d(u,v)
	GLdouble	u
	GLdouble	v


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glEvalCoord2f(u,v)
	GLfloat	u
	GLfloat	v


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glEvalCoord2dv(u)
	char *	u
	CODE:
	{
		unsigned int err;
		glEvalCoord2dv((GLdouble *)u);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glEvalCoord2dv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glEvalCoord2fv(u)
	char *	u
	CODE:
	{
		unsigned int err;
		glEvalCoord2fv((GLfloat *)u);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glEvalCoord2fv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMapGrid1d(un,u1,u2)
	GLint	un
	GLdouble	u1
	GLdouble	u2


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMapGrid1f(un,u1,u2)
	GLint	un
	GLfloat	u1
	GLfloat	u2


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMapGrid2d(un,u1,u2,vn,v1,v2)
	GLint	un
	GLdouble	u1
	GLdouble	u2
	GLint	vn
	GLdouble	v1
	GLdouble	v2


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMapGrid2f(un,u1,u2,vn,v1,v2)
	GLint	un
	GLfloat	u1
	GLfloat	u2
	GLint	vn
	GLfloat	v1
	GLfloat	v2


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glEvalPoint1(i)
	GLint	i


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glEvalPoint2(i,j)
	GLint	i
	GLint	j


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glEvalMesh1(mode,i1,i2)
	GLenum	mode
	GLint	i1
	GLint	i2


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glEvalMesh2(mode,i1,i2,j1,j2)
	GLenum	mode
	GLint	i1
	GLint	i2
	GLint	j1
	GLint	j2


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glFogf(pname,param)
	GLenum	pname
	GLfloat	param


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glFogi(pname,param)
	GLenum	pname
	GLint	param


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glFogfv(pname,params)
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glFogfv(pname,(GLfloat *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glFogfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glFogiv(pname,params)
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glFogiv(pname,(GLint *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glFogiv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glFeedbackBuffer(size,type,buffer)
	GLsizei	size
	GLenum	type
	char *	buffer
	CODE:
	{
		unsigned int err;
		glFeedbackBuffer(size,type,(GLfloat *)buffer);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glFeedbackBuffer %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glPassThrough(token)
	GLfloat	token


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glSelectBuffer(size,buffer)
	GLsizei	size
	char *	buffer
	CODE:
	{
		unsigned int err;
		glSelectBuffer(size,(GLuint *)buffer);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glSelectBuffer %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glInitNames()


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glLoadName(name)
	GLuint	name


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glPushName(name)
	GLuint	name


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glPopName()


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glDrawRangeElements(mode,start,end,count,type,indices)
	GLenum	mode
	GLuint	start
	GLuint	end
	GLsizei	count
	GLenum	type
	char *	indices
	CODE:
	{
		unsigned int err;
		glDrawRangeElements(mode,start,end,count,type,(void *)indices);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glDrawRangeElements %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexImage3D(target,level,internalFormat,width,height,depth,border,format,type,pixels)
	GLenum	target
	GLint	level
	GLint	internalFormat
	GLsizei	width
	GLsizei	height
	GLsizei	depth
	GLint	border
	GLenum	format
	GLenum	type
	char *	pixels
	CODE:
	{
		unsigned int err;
		glTexImage3D(target,level,internalFormat,width,height,depth,border,format,type,(void *)pixels);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexImage3D %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTexSubImage3D(target,level,xoffset,yoffset,zoffset,width,height,depth,format,type,pixels)
	GLenum	target
	GLint	level
	GLint	xoffset
	GLint	yoffset
	GLint	zoffset
	GLsizei	width
	GLsizei	height
	GLsizei	depth
	GLenum	format
	GLenum	type
	char *	pixels
	CODE:
	{
		unsigned int err;
		glTexSubImage3D(target,level,xoffset,yoffset,zoffset,width,height,depth,format,type,(void *)pixels);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTexSubImage3D %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glCopyTexSubImage3D(target,level,xoffset,yoffset,zoffset,x,y,width,height)
	GLenum	target
	GLint	level
	GLint	xoffset
	GLint	yoffset
	GLint	zoffset
	GLint	x
	GLint	y
	GLsizei	width
	GLsizei	height


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColorTable(target,internalformat,width,format,type,table)
	GLenum	target
	GLenum	internalformat
	GLsizei	width
	GLenum	format
	GLenum	type
	char *	table
	CODE:
	{
		unsigned int err;
		glColorTable(target,internalformat,width,format,type,(void *)table);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glColorTable %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColorSubTable(target,start,count,format,type,data)
	GLenum	target
	GLsizei	start
	GLsizei	count
	GLenum	format
	GLenum	type
	char *	data
	CODE:
	{
		unsigned int err;
		glColorSubTable(target,start,count,format,type,(void *)data);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glColorSubTable %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColorTableParameteriv(target,pname,params)
	GLenum	target
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glColorTableParameteriv(target,pname,(GLint *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glColorTableParameteriv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glColorTableParameterfv(target,pname,params)
	GLenum	target
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glColorTableParameterfv(target,pname,(GLfloat *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glColorTableParameterfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glCopyColorSubTable(target,start,x,y,width)
	GLenum	target
	GLsizei	start
	GLint	x
	GLint	y
	GLsizei	width


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glCopyColorTable(target,internalformat,x,y,width)
	GLenum	target
	GLenum	internalformat
	GLint	x
	GLint	y
	GLsizei	width


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetColorTable(target,format,type,table)
	GLenum	target
	GLenum	format
	GLenum	type
	char *	table
	CODE:
	{
		unsigned int err;
		glGetColorTable(target,format,type,(void *)table);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetColorTable %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetColorTableParameterfv(target,pname,params)
	GLenum	target
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetColorTableParameterfv(target,pname,(GLfloat *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetColorTableParameterfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetColorTableParameteriv(target,pname,params)
	GLenum	target
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetColorTableParameteriv(target,pname,(GLint *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetColorTableParameteriv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glBlendEquation(mode)
	GLenum	mode


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glBlendColor(red,green,blue,alpha)
	GLclampf	red
	GLclampf	green
	GLclampf	blue
	GLclampf	alpha


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glHistogram(target,width,internalformat,sink)
	GLenum	target
	GLsizei	width
	GLenum	internalformat
	GLboolean	sink


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glResetHistogram(target)
	GLenum	target


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetHistogram(target,reset,format,type,values)
	GLenum	target
	GLboolean	reset
	GLenum	format
	GLenum	type
	char *	values
	CODE:
	{
		unsigned int err;
		glGetHistogram(target,reset,format,type,(void *)values);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetHistogram %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetHistogramParameterfv(target,pname,params)
	GLenum	target
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetHistogramParameterfv(target,pname,(GLfloat *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetHistogramParameterfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetHistogramParameteriv(target,pname,params)
	GLenum	target
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetHistogramParameteriv(target,pname,(GLint *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetHistogramParameteriv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMinmax(target,internalformat,sink)
	GLenum	target
	GLenum	internalformat
	GLboolean	sink


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glResetMinmax(target)
	GLenum	target


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetMinmax(target,reset,format,types,values)
	GLenum	target
	GLboolean	reset
	GLenum	format
	GLenum	types
	char *	values
	CODE:
	{
		unsigned int err;
		glGetMinmax(target,reset,format,types,(void *)values);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetMinmax %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetMinmaxParameterfv(target,pname,params)
	GLenum	target
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetMinmaxParameterfv(target,pname,(GLfloat *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetMinmaxParameterfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetMinmaxParameteriv(target,pname,params)
	GLenum	target
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetMinmaxParameteriv(target,pname,(GLint *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetMinmaxParameteriv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glConvolutionFilter1D(target,internalformat,width,format,type,image)
	GLenum	target
	GLenum	internalformat
	GLsizei	width
	GLenum	format
	GLenum	type
	char *	image
	CODE:
	{
		unsigned int err;
		glConvolutionFilter1D(target,internalformat,width,format,type,(void *)image);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glConvolutionFilter1D %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glConvolutionFilter2D(target,internalformat,width,height,format,type,image)
	GLenum	target
	GLenum	internalformat
	GLsizei	width
	GLsizei	height
	GLenum	format
	GLenum	type
	char *	image
	CODE:
	{
		unsigned int err;
		glConvolutionFilter2D(target,internalformat,width,height,format,type,(void *)image);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glConvolutionFilter2D %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glConvolutionParameterf(target,pname,params)
	GLenum	target
	GLenum	pname
	GLfloat	params


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glConvolutionParameterfv(target,pname,params)
	GLenum	target
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glConvolutionParameterfv(target,pname,(GLfloat *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glConvolutionParameterfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glConvolutionParameteri(target,pname,params)
	GLenum	target
	GLenum	pname
	GLint	params


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glConvolutionParameteriv(target,pname,params)
	GLenum	target
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glConvolutionParameteriv(target,pname,(GLint *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glConvolutionParameteriv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glCopyConvolutionFilter1D(target,internalformat,x,y,width)
	GLenum	target
	GLenum	internalformat
	GLint	x
	GLint	y
	GLsizei	width


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glCopyConvolutionFilter2D(target,internalformat,x,y,width,height)
	GLenum	target
	GLenum	internalformat
	GLint	x
	GLint	y
	GLsizei	width
	GLsizei	height


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetConvolutionFilter(target,format,type,image)
	GLenum	target
	GLenum	format
	GLenum	type
	char *	image
	CODE:
	{
		unsigned int err;
		glGetConvolutionFilter(target,format,type,(void *)image);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetConvolutionFilter %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetConvolutionParameterfv(target,pname,params)
	GLenum	target
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetConvolutionParameterfv(target,pname,(GLfloat *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetConvolutionParameterfv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetConvolutionParameteriv(target,pname,params)
	GLenum	target
	GLenum	pname
	char *	params
	CODE:
	{
		unsigned int err;
		glGetConvolutionParameteriv(target,pname,(GLint *)params);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetConvolutionParameteriv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glSeparableFilter2D(target,internalformat,width,height,format,type,row,column)
	GLenum	target
	GLenum	internalformat
	GLsizei	width
	GLsizei	height
	GLenum	format
	GLenum	type
	char *	row
	char *	column
	CODE:
	{
		unsigned int err;
		glSeparableFilter2D(target,internalformat,width,height,format,type,(void *)row,(void *)column);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glSeparableFilter2D %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetSeparableFilter(target,format,type,row,column,span)
	GLenum	target
	GLenum	format
	GLenum	type
	char *	row
	char *	column
	char *	span
	CODE:
	{
		unsigned int err;
		glGetSeparableFilter(target,format,type,(void *)row,(void *)column,(void *)span);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetSeparableFilter %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glActiveTexture(texture)
	GLenum	texture


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glClientActiveTexture(texture)
	GLenum	texture


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glCompressedTexImage1D(target,level,internalformat,width,border,imageSize,data)
	GLenum	target
	GLint	level
	GLenum	internalformat
	GLsizei	width
	GLint	border
	GLsizei	imageSize
	char *	data
	CODE:
	{
		unsigned int err;
		glCompressedTexImage1D(target,level,internalformat,width,border,imageSize,(void *)data);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glCompressedTexImage1D %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glCompressedTexImage2D(target,level,internalformat,width,height,border,imageSize,data)
	GLenum	target
	GLint	level
	GLenum	internalformat
	GLsizei	width
	GLsizei	height
	GLint	border
	GLsizei	imageSize
	char *	data
	CODE:
	{
		unsigned int err;
		glCompressedTexImage2D(target,level,internalformat,width,height,border,imageSize,(void *)data);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glCompressedTexImage2D %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glCompressedTexImage3D(target,level,internalformat,width,height,depth,border,imageSize,data)
	GLenum	target
	GLint	level
	GLenum	internalformat
	GLsizei	width
	GLsizei	height
	GLsizei	depth
	GLint	border
	GLsizei	imageSize
	char *	data
	CODE:
	{
		unsigned int err;
		glCompressedTexImage3D(target,level,internalformat,width,height,depth,border,imageSize,(void *)data);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glCompressedTexImage3D %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glCompressedTexSubImage1D(target,level,xoffset,width,format,imageSize,data)
	GLenum	target
	GLint	level
	GLint	xoffset
	GLsizei	width
	GLenum	format
	GLsizei	imageSize
	char *	data
	CODE:
	{
		unsigned int err;
		glCompressedTexSubImage1D(target,level,xoffset,width,format,imageSize,(void *)data);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glCompressedTexSubImage1D %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glCompressedTexSubImage2D(target,level,xoffset,yoffset,width,height,format,imageSize,data)
	GLenum	target
	GLint	level
	GLint	xoffset
	GLint	yoffset
	GLsizei	width
	GLsizei	height
	GLenum	format
	GLsizei	imageSize
	char *	data
	CODE:
	{
		unsigned int err;
		glCompressedTexSubImage2D(target,level,xoffset,yoffset,width,height,format,imageSize,(void *)data);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glCompressedTexSubImage2D %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glCompressedTexSubImage3D(target,level,xoffset,yoffset,zoffset,width,height,depth,format,imageSize,data)
	GLenum	target
	GLint	level
	GLint	xoffset
	GLint	yoffset
	GLint	zoffset
	GLsizei	width
	GLsizei	height
	GLsizei	depth
	GLenum	format
	GLsizei	imageSize
	char *	data
	CODE:
	{
		unsigned int err;
		glCompressedTexSubImage3D(target,level,xoffset,yoffset,zoffset,width,height,depth,format,imageSize,(void *)data);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glCompressedTexSubImage3D %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetCompressedTexImage(target,lod,img)
	GLenum	target
	GLint	lod
	char *	img
	CODE:
	{
		unsigned int err;
		glGetCompressedTexImage(target,lod,(void *)img);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetCompressedTexImage %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord1d(target,s)
	GLenum	target
	GLdouble	s


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord1dv(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord1dv(target,(GLdouble *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord1dv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord1f(target,s)
	GLenum	target
	GLfloat	s


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord1fv(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord1fv(target,(GLfloat *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord1fv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord1i(target,s)
	GLenum	target
	GLint	s


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord1iv(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord1iv(target,(GLint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord1iv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord1s(target,s)
	GLenum	target
	GLshort	s


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord1sv(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord1sv(target,(GLshort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord1sv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord2d(target,s,t)
	GLenum	target
	GLdouble	s
	GLdouble	t


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord2dv(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord2dv(target,(GLdouble *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord2dv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord2f(target,s,t)
	GLenum	target
	GLfloat	s
	GLfloat	t


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord2fv(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord2fv(target,(GLfloat *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord2fv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord2i(target,s,t)
	GLenum	target
	GLint	s
	GLint	t


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord2iv(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord2iv(target,(GLint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord2iv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord2s(target,s,t)
	GLenum	target
	GLshort	s
	GLshort	t


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord2sv(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord2sv(target,(GLshort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord2sv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord3d(target,s,t,r)
	GLenum	target
	GLdouble	s
	GLdouble	t
	GLdouble	r


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord3dv(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord3dv(target,(GLdouble *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord3dv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord3f(target,s,t,r)
	GLenum	target
	GLfloat	s
	GLfloat	t
	GLfloat	r


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord3fv(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord3fv(target,(GLfloat *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord3fv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord3i(target,s,t,r)
	GLenum	target
	GLint	s
	GLint	t
	GLint	r


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord3iv(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord3iv(target,(GLint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord3iv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord3s(target,s,t,r)
	GLenum	target
	GLshort	s
	GLshort	t
	GLshort	r


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord3sv(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord3sv(target,(GLshort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord3sv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord4d(target,s,t,r,q)
	GLenum	target
	GLdouble	s
	GLdouble	t
	GLdouble	r
	GLdouble	q


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord4dv(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord4dv(target,(GLdouble *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord4dv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord4f(target,s,t,r,q)
	GLenum	target
	GLfloat	s
	GLfloat	t
	GLfloat	r
	GLfloat	q


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord4fv(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord4fv(target,(GLfloat *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord4fv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord4i(target,s,t,r,q)
	GLenum	target
	GLint	s
	GLint	t
	GLint	r
	GLint	q


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord4iv(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord4iv(target,(GLint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord4iv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord4s(target,s,t,r,q)
	GLenum	target
	GLshort	s
	GLshort	t
	GLshort	r
	GLshort	q


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord4sv(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord4sv(target,(GLshort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord4sv %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glLoadTransposeMatrixd(m)
	char *	m


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glLoadTransposeMatrixf(m)
	char *	m


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultTransposeMatrixd(m)
	char *	m


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultTransposeMatrixf(m)
	char *	m


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glSampleCoverage(value,invert)
	GLclampf	value
	GLboolean	invert


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glActiveTextureARB(texture)
	GLenum	texture


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glClientActiveTextureARB(texture)
	GLenum	texture


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord1dARB(target,s)
	GLenum	target
	GLdouble	s


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord1dvARB(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord1dvARB(target,(GLdouble *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord1dvARB %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord1fARB(target,s)
	GLenum	target
	GLfloat	s


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord1fvARB(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord1fvARB(target,(GLfloat *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord1fvARB %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord1iARB(target,s)
	GLenum	target
	GLint	s


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord1ivARB(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord1ivARB(target,(GLint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord1ivARB %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord1sARB(target,s)
	GLenum	target
	GLshort	s


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord1svARB(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord1svARB(target,(GLshort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord1svARB %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord2dARB(target,s,t)
	GLenum	target
	GLdouble	s
	GLdouble	t


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord2dvARB(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord2dvARB(target,(GLdouble *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord2dvARB %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord2fARB(target,s,t)
	GLenum	target
	GLfloat	s
	GLfloat	t


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord2fvARB(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord2fvARB(target,(GLfloat *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord2fvARB %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord2iARB(target,s,t)
	GLenum	target
	GLint	s
	GLint	t


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord2ivARB(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord2ivARB(target,(GLint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord2ivARB %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord2sARB(target,s,t)
	GLenum	target
	GLshort	s
	GLshort	t


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord2svARB(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord2svARB(target,(GLshort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord2svARB %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord3dARB(target,s,t,r)
	GLenum	target
	GLdouble	s
	GLdouble	t
	GLdouble	r


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord3dvARB(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord3dvARB(target,(GLdouble *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord3dvARB %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord3fARB(target,s,t,r)
	GLenum	target
	GLfloat	s
	GLfloat	t
	GLfloat	r


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord3fvARB(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord3fvARB(target,(GLfloat *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord3fvARB %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord3iARB(target,s,t,r)
	GLenum	target
	GLint	s
	GLint	t
	GLint	r


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord3ivARB(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord3ivARB(target,(GLint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord3ivARB %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord3sARB(target,s,t,r)
	GLenum	target
	GLshort	s
	GLshort	t
	GLshort	r


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord3svARB(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord3svARB(target,(GLshort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord3svARB %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord4dARB(target,s,t,r,q)
	GLenum	target
	GLdouble	s
	GLdouble	t
	GLdouble	r
	GLdouble	q


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord4dvARB(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord4dvARB(target,(GLdouble *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord4dvARB %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord4fARB(target,s,t,r,q)
	GLenum	target
	GLfloat	s
	GLfloat	t
	GLfloat	r
	GLfloat	q


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord4fvARB(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord4fvARB(target,(GLfloat *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord4fvARB %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord4iARB(target,s,t,r,q)
	GLenum	target
	GLint	s
	GLint	t
	GLint	r
	GLint	q


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord4ivARB(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord4ivARB(target,(GLint *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord4ivARB %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord4sARB(target,s,t,r,q)
	GLenum	target
	GLshort	s
	GLshort	t
	GLshort	r
	GLshort	q


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glMultiTexCoord4svARB(target,v)
	GLenum	target
	char *	v
	CODE:
	{
		unsigned int err;
		glMultiTexCoord4svARB(target,(GLshort *)v);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glMultiTexCoord4svARB %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLhandleARB
glCreateDebugObjectMESA()


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glClearDebugLogMESA(obj,logType,shaderType)
	GLhandleARB	obj
	GLenum	logType
	GLenum	shaderType


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glGetDebugLogMESA(obj,logType,shaderType,maxLength,length,debugLog)
	GLhandleARB	obj
	GLenum	logType
	GLenum	shaderType
	GLsizei	maxLength
	char *	length
	char *	debugLog
	CODE:
	{
		unsigned int err;
		glGetDebugLogMESA(obj,logType,shaderType,maxLength,(GLsizei *)length,(GLcharARB *)debugLog);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glGetDebugLogMESA %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLsizei
glGetDebugLogLengthMESA(obj,logType,shaderType)
	GLhandleARB	obj
	GLenum	logType
	GLenum	shaderType


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glEnableTraceMESA(mask)
	GLbitfield	mask


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glDisableTraceMESA(mask)
	GLbitfield	mask


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glNewTraceMESA(mask,traceName)
	GLbitfield	mask
	char *	traceName
	CODE:
	{
		unsigned int err;
		glNewTraceMESA(mask,(GLubyte *)traceName);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glNewTraceMESA %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glEndTraceMESA()


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTraceAssertAttribMESA(attribMask)
	GLbitfield	attribMask


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTraceCommentMESA(comment)
	char *	comment
	CODE:
	{
		unsigned int err;
		glTraceCommentMESA((GLubyte *)comment);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTraceCommentMESA %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTraceTextureMESA(name,comment)
	GLuint	name
	char *	comment
	CODE:
	{
		unsigned int err;
		glTraceTextureMESA(name,(GLubyte *)comment);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTraceTextureMESA %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTraceListMESA(name,comment)
	GLuint	name
	char *	comment
	CODE:
	{
		unsigned int err;
		glTraceListMESA(name,(GLubyte *)comment);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTraceListMESA %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTracePointerMESA(pointer,comment)
	char *	pointer
	char *	comment
	CODE:
	{
		unsigned int err;
		glTracePointerMESA((void *)pointer,(GLubyte *)comment);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTracePointerMESA %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glTracePointerRangeMESA(first,last,comment)
	char *	first
	char *	last
	char *	comment
	CODE:
	{
		unsigned int err;
		glTracePointerRangeMESA((void *)first,(void *)last,(GLubyte *)comment);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glTracePointerRangeMESA %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glBlendEquationSeparateATI(modeRGB,modeA)
	GLenum	modeRGB
	GLenum	modeA


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLXContext
glXCreateContext(dpy,vis,shareList,direct)
	Display *	dpy
	char *	vis
	GLXContext	shareList
	int	direct
	CODE:
	{
		unsigned int err;
		glXCreateContext(dpy,(XVisualInfo *)vis,shareList,direct);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glXCreateContext %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glXDestroyContext(dpy,ctx)
	Display *	dpy
	GLXContext	ctx


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


int
glXMakeCurrent(dpy,drawable,ctx)
	Display *	dpy
	GLXDrawable	drawable
	GLXContext	ctx


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glXCopyContext(dpy,src,dst,mask)
	Display *	dpy
	GLXContext	src
	GLXContext	dst
	unsigned long	mask


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glXSwapBuffers(dpy,drawable)
	Display *	dpy
	GLXDrawable	drawable


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLXPixmap
glXCreateGLXPixmap(dpy,visual,pixmap)
	Display *	dpy
	char *	visual
	Pixmap	pixmap
	CODE:
	{
		unsigned int err;
		glXCreateGLXPixmap(dpy,(XVisualInfo *)visual,pixmap);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glXCreateGLXPixmap %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glXDestroyGLXPixmap(dpy,pixmap)
	Display *	dpy
	GLXPixmap	pixmap


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


int
glXQueryExtension(dpy,errorb,event)
	Display *	dpy
	char *	errorb
	char *	event
	CODE:
	{
		unsigned int err;
		glXQueryExtension(dpy,(int *)errorb,(int *)event);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glXQueryExtension %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


int
glXQueryVersion(dpy,maj,min)
	Display *	dpy
	char *	maj
	char *	min
	CODE:
	{
		unsigned int err;
		glXQueryVersion(dpy,(int *)maj,(int *)min);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glXQueryVersion %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


int
glXIsDirect(dpy,ctx)
	Display *	dpy
	GLXContext	ctx


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


int
glXGetConfig(dpy,visual,attrib,value)
	Display *	dpy
	char *	visual
	int	attrib
	char *	value
	CODE:
	{
		unsigned int err;
		glXGetConfig(dpy,(XVisualInfo *)visual,attrib,(int *)value);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glXGetConfig %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLXContext
glXGetCurrentContext()


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLXDrawable
glXGetCurrentDrawable()


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glXWaitGL()


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glXWaitX()


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glXUseXFont(font,first,count,list)
	Font	font
	int	first
	int	count
	int	list


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


int
glXGetFBConfigAttrib(dpy,config,attribute,value)
	Display *	dpy
	GLXFBConfig	config
	int	attribute
	char *	value
	CODE:
	{
		unsigned int err;
		glXGetFBConfigAttrib(dpy,config,attribute,(int *)value);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glXGetFBConfigAttrib %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLXWindow
glXCreateWindow(dpy,config,win,attribList)
	Display *	dpy
	GLXFBConfig	config
	Window	win
	char *	attribList
	CODE:
	{
		unsigned int err;
		glXCreateWindow(dpy,config,win,(int *)attribList);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glXCreateWindow %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glXDestroyWindow(dpy,window)
	Display *	dpy
	GLXWindow	window


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLXPixmap
glXCreatePixmap(dpy,config,pixmap,attribList)
	Display *	dpy
	GLXFBConfig	config
	Pixmap	pixmap
	char *	attribList
	CODE:
	{
		unsigned int err;
		glXCreatePixmap(dpy,config,pixmap,(int *)attribList);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glXCreatePixmap %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glXDestroyPixmap(dpy,pixmap)
	Display *	dpy
	GLXPixmap	pixmap


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLXPbuffer
glXCreatePbuffer(dpy,config,attribList)
	Display *	dpy
	GLXFBConfig	config
	char *	attribList
	CODE:
	{
		unsigned int err;
		glXCreatePbuffer(dpy,config,(int *)attribList);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glXCreatePbuffer %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glXDestroyPbuffer(dpy,pbuf)
	Display *	dpy
	GLXPbuffer	pbuf


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glXQueryDrawable(dpy,draw,attribute,value)
	Display *	dpy
	GLXDrawable	draw
	int	attribute
	char *	value
	CODE:
	{
		unsigned int err;
		glXQueryDrawable(dpy,draw,attribute,(unsigned int *)value);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glXQueryDrawable %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLXContext
glXCreateNewContext(dpy,config,renderType,shareList,direct)
	Display *	dpy
	GLXFBConfig	config
	int	renderType
	GLXContext	shareList
	int	direct


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


int
glXMakeContextCurrent(dpy,draw,read,ctx)
	Display *	dpy
	GLXDrawable	draw
	GLXDrawable	read
	GLXContext	ctx


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLXDrawable
glXGetCurrentReadDrawable()


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


int
glXQueryContext(dpy,ctx,attribute,value)
	Display *	dpy
	GLXContext	ctx
	int	attribute
	char *	value
	CODE:
	{
		unsigned int err;
		glXQueryContext(dpy,ctx,attribute,(int *)value);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glXQueryContext %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glXSelectEvent(dpy,drawable,mask)
	Display *	dpy
	GLXDrawable	drawable
	unsigned long	mask


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glXGetSelectedEvent(dpy,drawable,mask)
	Display *	dpy
	GLXDrawable	drawable
	char *	mask
	CODE:
	{
		unsigned int err;
		glXGetSelectedEvent(dpy,drawable,(unsigned long *)mask);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glXGetSelectedEvent %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glXFreeMemoryNV(pointer)
	char *	pointer
	CODE:
	{
		unsigned int err;
		glXFreeMemoryNV((void *)pointer);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glXFreeMemoryNV %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glXFreeMemoryMESA(dpy,scrn,pointer)
	Display *	dpy
	int	scrn
	char *	pointer
	CODE:
	{
		unsigned int err;
		glXFreeMemoryMESA(dpy,scrn,(void *)pointer);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glXFreeMemoryMESA %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLuint
glXGetMemoryOffsetMESA(dpy,scrn,pointer)
	Display *	dpy
	int	scrn
	char *	pointer
	CODE:
	{
		unsigned int err;
		glXGetMemoryOffsetMESA(dpy,scrn,(void *)pointer);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glXGetMemoryOffsetMESA %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


int
glXBindTexImageARB(dpy,pbuffer,buffer)
	Display *	dpy
	GLXPbuffer	pbuffer
	int	buffer


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


int
glXReleaseTexImageARB(dpy,pbuffer,buffer)
	Display *	dpy
	GLXPbuffer	pbuffer
	int	buffer


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


int
glXDrawableAttribARB(dpy,draw,attribList)
	Display *	dpy
	GLXDrawable	draw
	char *	attribList
	CODE:
	{
		unsigned int err;
		glXDrawableAttribARB(dpy,draw,(int *)attribList);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glXDrawableAttribARB %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


int
glXGetFrameUsageMESA(dpy,drawable,usage)
	Display *	dpy
	GLXDrawable	drawable
	char *	usage
	CODE:
	{
		unsigned int err;
		glXGetFrameUsageMESA(dpy,drawable,(float *)usage);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glXGetFrameUsageMESA %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


int
glXBeginFrameTrackingMESA(dpy,drawable)
	Display *	dpy
	GLXDrawable	drawable


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


int
glXEndFrameTrackingMESA(dpy,drawable)
	Display *	dpy
	GLXDrawable	drawable


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


int
glXQueryFrameTrackingMESA(dpy,drawable,swapCount,missedFrames,lastMissedUsage)
	Display *	dpy
	GLXDrawable	drawable
	char *	swapCount
	char *	missedFrames
	char *	lastMissedUsage
	CODE:
	{
		unsigned int err;
		glXQueryFrameTrackingMESA(dpy,drawable,(int64_t *)swapCount,(int64_t *)missedFrames,(float *)lastMissedUsage);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glXQueryFrameTrackingMESA %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


int
glXSwapIntervalMESA(interval)
	unsigned int	interval


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


int
glXGetSwapIntervalMESA()


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glXBindTexImageEXT(dpy,drawable,buffer,attrib_list)
	Display *	dpy
	GLXDrawable	drawable
	int	buffer
	char *	attrib_list
	CODE:
	{
		unsigned int err;
		glXBindTexImageEXT(dpy,drawable,buffer,(int *)attrib_list);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL glXBindTexImageEXT %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
glXReleaseTexImageEXT(dpy,drawable,buffer)
	Display *	dpy
	GLXDrawable	drawable
	int	buffer


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluBeginCurve(nurb)
	char *	nurb
	CODE:
	{
		unsigned int err;
		gluBeginCurve((GLUnurbs *)nurb);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluBeginCurve %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluBeginPolygon(tess)
	char *	tess
	CODE:
	{
		unsigned int err;
		gluBeginPolygon((GLUtesselator *)tess);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluBeginPolygon %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluBeginSurface(nurb)
	char *	nurb
	CODE:
	{
		unsigned int err;
		gluBeginSurface((GLUnurbs *)nurb);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluBeginSurface %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluBeginTrim(nurb)
	char *	nurb
	CODE:
	{
		unsigned int err;
		gluBeginTrim((GLUnurbs *)nurb);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluBeginTrim %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLint
gluBuild1DMipmapLevels(target,internalFormat,width,format,type,level,base,max,data)
	GLenum	target
	GLint	internalFormat
	GLsizei	width
	GLenum	format
	GLenum	type
	GLint	level
	GLint	base
	GLint	max
	char *	data
	CODE:
	{
		unsigned int err;
		gluBuild1DMipmapLevels(target,internalFormat,width,format,type,level,base,max,(void *)data);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluBuild1DMipmapLevels %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLint
gluBuild1DMipmaps(target,internalFormat,width,format,type,data)
	GLenum	target
	GLint	internalFormat
	GLsizei	width
	GLenum	format
	GLenum	type
	char *	data
	CODE:
	{
		unsigned int err;
		gluBuild1DMipmaps(target,internalFormat,width,format,type,(void *)data);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluBuild1DMipmaps %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLint
gluBuild2DMipmapLevels(target,internalFormat,width,height,format,type,level,base,max,data)
	GLenum	target
	GLint	internalFormat
	GLsizei	width
	GLsizei	height
	GLenum	format
	GLenum	type
	GLint	level
	GLint	base
	GLint	max
	char *	data
	CODE:
	{
		unsigned int err;
		gluBuild2DMipmapLevels(target,internalFormat,width,height,format,type,level,base,max,(void *)data);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluBuild2DMipmapLevels %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLint
gluBuild2DMipmaps(target,internalFormat,width,height,format,type,data)
	GLenum	target
	GLint	internalFormat
	GLsizei	width
	GLsizei	height
	GLenum	format
	GLenum	type
	char *	data
	CODE:
	{
		unsigned int err;
		gluBuild2DMipmaps(target,internalFormat,width,height,format,type,(void *)data);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluBuild2DMipmaps %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLint
gluBuild3DMipmapLevels(target,internalFormat,width,height,depth,format,type,level,base,max,data)
	GLenum	target
	GLint	internalFormat
	GLsizei	width
	GLsizei	height
	GLsizei	depth
	GLenum	format
	GLenum	type
	GLint	level
	GLint	base
	GLint	max
	char *	data
	CODE:
	{
		unsigned int err;
		gluBuild3DMipmapLevels(target,internalFormat,width,height,depth,format,type,level,base,max,(void *)data);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluBuild3DMipmapLevels %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLint
gluBuild3DMipmaps(target,internalFormat,width,height,depth,format,type,data)
	GLenum	target
	GLint	internalFormat
	GLsizei	width
	GLsizei	height
	GLsizei	depth
	GLenum	format
	GLenum	type
	char *	data
	CODE:
	{
		unsigned int err;
		gluBuild3DMipmaps(target,internalFormat,width,height,depth,format,type,(void *)data);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluBuild3DMipmaps %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLboolean
gluCheckExtension(extName,extString)
	char *	extName
	char *	extString
	CODE:
	{
		unsigned int err;
		gluCheckExtension((GLubyte *)extName,(GLubyte *)extString);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluCheckExtension %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluCylinder(quad,base,top,height,slices,stacks)
	char *	quad
	GLdouble	base
	GLdouble	top
	GLdouble	height
	GLint	slices
	GLint	stacks
	CODE:
	{
		unsigned int err;
		gluCylinder((GLUquadric *)quad,base,top,height,slices,stacks);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluCylinder %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluDeleteNurbsRenderer(nurb)
	char *	nurb
	CODE:
	{
		unsigned int err;
		gluDeleteNurbsRenderer((GLUnurbs *)nurb);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluDeleteNurbsRenderer %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluDeleteQuadric(quad)
	char *	quad
	CODE:
	{
		unsigned int err;
		gluDeleteQuadric((GLUquadric *)quad);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluDeleteQuadric %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluDeleteTess(tess)
	char *	tess
	CODE:
	{
		unsigned int err;
		gluDeleteTess((GLUtesselator *)tess);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluDeleteTess %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluDisk(quad,inner,outer,slices,loops)
	char *	quad
	GLdouble	inner
	GLdouble	outer
	GLint	slices
	GLint	loops
	CODE:
	{
		unsigned int err;
		gluDisk((GLUquadric *)quad,inner,outer,slices,loops);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluDisk %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluEndCurve(nurb)
	char *	nurb
	CODE:
	{
		unsigned int err;
		gluEndCurve((GLUnurbs *)nurb);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluEndCurve %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluEndPolygon(tess)
	char *	tess
	CODE:
	{
		unsigned int err;
		gluEndPolygon((GLUtesselator *)tess);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluEndPolygon %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluEndSurface(nurb)
	char *	nurb
	CODE:
	{
		unsigned int err;
		gluEndSurface((GLUnurbs *)nurb);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluEndSurface %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluEndTrim(nurb)
	char *	nurb
	CODE:
	{
		unsigned int err;
		gluEndTrim((GLUnurbs *)nurb);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluEndTrim %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluGetNurbsProperty(nurb,property,data)
	char *	nurb
	GLenum	property
	char *	data
	CODE:
	{
		unsigned int err;
		gluGetNurbsProperty((GLUnurbs *)nurb,property,(GLfloat *)data);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluGetNurbsProperty %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluGetTessProperty(tess,which,data)
	char *	tess
	GLenum	which
	char *	data
	CODE:
	{
		unsigned int err;
		gluGetTessProperty((GLUtesselator *)tess,which,(GLdouble *)data);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluGetTessProperty %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluLoadSamplingMatrices(nurb,model,perspective,view)
	char *	nurb
	char *	model
	char *	perspective
	char *	view
	CODE:
	{
		unsigned int err;
		gluLoadSamplingMatrices((GLUnurbs *)nurb,(GLfloat *)model,(GLfloat *)perspective,(GLint *)view);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluLoadSamplingMatrices %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluLookAt(eyeX,eyeY,eyeZ,centerX,centerY,centerZ,upX,upY,upZ)
	GLdouble	eyeX
	GLdouble	eyeY
	GLdouble	eyeZ
	GLdouble	centerX
	GLdouble	centerY
	GLdouble	centerZ
	GLdouble	upX
	GLdouble	upY
	GLdouble	upZ


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluNextContour(tess,type)
	char *	tess
	GLenum	type
	CODE:
	{
		unsigned int err;
		gluNextContour((GLUtesselator *)tess,type);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluNextContour %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluNurbsCallback(nurb,which,CallBackFunc)
	char *	nurb
	GLenum	which
	_GLUfuncptr	CallBackFunc
	CODE:
	{
		unsigned int err;
		gluNurbsCallback((GLUnurbs *)nurb,which,CallBackFunc);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluNurbsCallback %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluNurbsCallbackData(nurb,userData)
	char *	nurb
	char *	userData
	CODE:
	{
		unsigned int err;
		gluNurbsCallbackData((GLUnurbs *)nurb,(void *)userData);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluNurbsCallbackData %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluNurbsCallbackDataEXT(nurb,userData)
	char *	nurb
	char *	userData
	CODE:
	{
		unsigned int err;
		gluNurbsCallbackDataEXT((GLUnurbs *)nurb,(void *)userData);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluNurbsCallbackDataEXT %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluNurbsCurve(nurb,knotCount,knots,stride,control,order,type)
	char *	nurb
	GLint	knotCount
	char *	knots
	GLint	stride
	char *	control
	GLint	order
	GLenum	type
	CODE:
	{
		unsigned int err;
		gluNurbsCurve((GLUnurbs *)nurb,knotCount,(GLfloat *)knots,stride,(GLfloat *)control,order,type);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluNurbsCurve %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluNurbsProperty(nurb,property,value)
	char *	nurb
	GLenum	property
	GLfloat	value
	CODE:
	{
		unsigned int err;
		gluNurbsProperty((GLUnurbs *)nurb,property,value);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluNurbsProperty %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluNurbsSurface(nurb,sKnotCount,sKnots,tKnotCount,tKnots,sStride,tStride,control,sOrder,tOrder,type)
	char *	nurb
	GLint	sKnotCount
	char *	sKnots
	GLint	tKnotCount
	char *	tKnots
	GLint	sStride
	GLint	tStride
	char *	control
	GLint	sOrder
	GLint	tOrder
	GLenum	type
	CODE:
	{
		unsigned int err;
		gluNurbsSurface((GLUnurbs *)nurb,sKnotCount,(GLfloat *)sKnots,tKnotCount,(GLfloat *)tKnots,sStride,tStride,(GLfloat *)control,sOrder,tOrder,type);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluNurbsSurface %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluOrtho2D(left,right,bottom,top)
	GLdouble	left
	GLdouble	right
	GLdouble	bottom
	GLdouble	top


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluPartialDisk(quad,inner,outer,slices,loops,start,sweep)
	char *	quad
	GLdouble	inner
	GLdouble	outer
	GLint	slices
	GLint	loops
	GLdouble	start
	GLdouble	sweep
	CODE:
	{
		unsigned int err;
		gluPartialDisk((GLUquadric *)quad,inner,outer,slices,loops,start,sweep);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluPartialDisk %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluPerspective(fovy,aspect,zNear,zFar)
	GLdouble	fovy
	GLdouble	aspect
	GLdouble	zNear
	GLdouble	zFar


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluPickMatrix(x,y,delX,delY,viewport)
	GLdouble	x
	GLdouble	y
	GLdouble	delX
	GLdouble	delY
	char *	viewport
	CODE:
	{
		unsigned int err;
		gluPickMatrix(x,y,delX,delY,(GLint *)viewport);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluPickMatrix %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLint
gluProject(objX,objY,objZ,model,proj,view,winX,winY,winZ)
	GLdouble	objX
	GLdouble	objY
	GLdouble	objZ
	char *	model
	char *	proj
	char *	view
	char *	winX
	char *	winY
	char *	winZ
	CODE:
	{
		unsigned int err;
		gluProject(objX,objY,objZ,(GLdouble *)model,(GLdouble *)proj,(GLint *)view,(GLdouble *)winX,(GLdouble *)winY,(GLdouble *)winZ);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluProject %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluPwlCurve(nurb,count,data,stride,type)
	char *	nurb
	GLint	count
	char *	data
	GLint	stride
	GLenum	type
	CODE:
	{
		unsigned int err;
		gluPwlCurve((GLUnurbs *)nurb,count,(GLfloat *)data,stride,type);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluPwlCurve %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluQuadricCallback(quad,which,CallBackFunc)
	char *	quad
	GLenum	which
	_GLUfuncptr	CallBackFunc
	CODE:
	{
		unsigned int err;
		gluQuadricCallback((GLUquadric *)quad,which,CallBackFunc);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluQuadricCallback %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluQuadricDrawStyle(quad,draw)
	char *	quad
	GLenum	draw
	CODE:
	{
		unsigned int err;
		gluQuadricDrawStyle((GLUquadric *)quad,draw);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluQuadricDrawStyle %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluQuadricNormals(quad,normal)
	char *	quad
	GLenum	normal
	CODE:
	{
		unsigned int err;
		gluQuadricNormals((GLUquadric *)quad,normal);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluQuadricNormals %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluQuadricOrientation(quad,orientation)
	char *	quad
	GLenum	orientation
	CODE:
	{
		unsigned int err;
		gluQuadricOrientation((GLUquadric *)quad,orientation);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluQuadricOrientation %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluQuadricTexture(quad,texture)
	char *	quad
	GLboolean	texture
	CODE:
	{
		unsigned int err;
		gluQuadricTexture((GLUquadric *)quad,texture);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluQuadricTexture %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLint
gluScaleImage(format,wIn,hIn,typeIn,dataIn,wOut,hOut,typeOut,dataOut)
	GLenum	format
	GLsizei	wIn
	GLsizei	hIn
	GLenum	typeIn
	char *	dataIn
	GLsizei	wOut
	GLsizei	hOut
	GLenum	typeOut
	char *	dataOut
	CODE:
	{
		unsigned int err;
		gluScaleImage(format,wIn,hIn,typeIn,(void *)dataIn,wOut,hOut,typeOut,(void *)dataOut);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluScaleImage %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluSphere(quad,radius,slices,stacks)
	char *	quad
	GLdouble	radius
	GLint	slices
	GLint	stacks
	CODE:
	{
		unsigned int err;
		gluSphere((GLUquadric *)quad,radius,slices,stacks);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluSphere %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluTessBeginContour(tess)
	char *	tess
	CODE:
	{
		unsigned int err;
		gluTessBeginContour((GLUtesselator *)tess);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluTessBeginContour %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluTessBeginPolygon(tess,data)
	char *	tess
	char *	data
	CODE:
	{
		unsigned int err;
		gluTessBeginPolygon((GLUtesselator *)tess,(void *)data);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluTessBeginPolygon %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluTessCallback(tess,which,CallBackFunc)
	char *	tess
	GLenum	which
	_GLUfuncptr	CallBackFunc
	CODE:
	{
		unsigned int err;
		gluTessCallback((GLUtesselator *)tess,which,CallBackFunc);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluTessCallback %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluTessEndContour(tess)
	char *	tess
	CODE:
	{
		unsigned int err;
		gluTessEndContour((GLUtesselator *)tess);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluTessEndContour %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluTessEndPolygon(tess)
	char *	tess
	CODE:
	{
		unsigned int err;
		gluTessEndPolygon((GLUtesselator *)tess);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluTessEndPolygon %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluTessNormal(tess,valueX,valueY,valueZ)
	char *	tess
	GLdouble	valueX
	GLdouble	valueY
	GLdouble	valueZ
	CODE:
	{
		unsigned int err;
		gluTessNormal((GLUtesselator *)tess,valueX,valueY,valueZ);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluTessNormal %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluTessProperty(tess,which,data)
	char *	tess
	GLenum	which
	GLdouble	data
	CODE:
	{
		unsigned int err;
		gluTessProperty((GLUtesselator *)tess,which,data);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluTessProperty %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


void
gluTessVertex(tess,location,data)
	char *	tess
	char *	location
	char *	data
	CODE:
	{
		unsigned int err;
		gluTessVertex((GLUtesselator *)tess,(GLdouble *)location,(void *)data);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluTessVertex %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLint
gluUnProject(winX,winY,winZ,model,proj,view,objX,objY,objZ)
	GLdouble	winX
	GLdouble	winY
	GLdouble	winZ
	char *	model
	char *	proj
	char *	view
	char *	objX
	char *	objY
	char *	objZ
	CODE:
	{
		unsigned int err;
		gluUnProject(winX,winY,winZ,(GLdouble *)model,(GLdouble *)proj,(GLint *)view,(GLdouble *)objX,(GLdouble *)objY,(GLdouble *)objZ);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluUnProject %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL::Graphics::OpenGL


GLint
gluUnProject4(winX,winY,winZ,clipW,model,proj,view,nearVal,farVal,objX,objY,objZ,objW)
	GLdouble	winX
	GLdouble	winY
	GLdouble	winZ
	GLdouble	clipW
	char *	model
	char *	proj
	char *	view
	GLdouble	nearVal
	GLdouble	farVal
	char *	objX
	char *	objY
	char *	objZ
	char *	objW
	CODE:
	{
		unsigned int err;
		gluUnProject4(winX,winY,winZ,clipW,(GLdouble *)model,(GLdouble *)proj,(GLint *)view,nearVal,farVal,(GLdouble *)objX,(GLdouble *)objY,(GLdouble *)objZ,(GLdouble *)objW);
		if(debug) while((err = glGetError()) != GL_NO_ERROR){
			printf("ERROR issued in GL gluUnProject4 %s\n", gluErrorString(err));}
	}


MODULE = PDL::Graphics::OpenGL PACKAGE = PDL



BOOT:

   /* Get pointer to structure of core shared C routines */
   /* make sure PDL::Core is loaded */
   perl_require_pv("PDL::Core");
   CoreSV = perl_get_sv("PDL::SHARE",FALSE);  /* SV* value */
#ifndef aTHX_
#define aTHX_
#endif
   if (CoreSV==NULL)
     Perl_croak(aTHX_ "Can't load PDL::Core module");
   PDL = INT2PTR(Core*, SvIV( CoreSV ));  /* Core* value */
   if (PDL->Version != PDL_CORE_VERSION)
     Perl_croak(aTHX_ "PDL::Graphics::OpenGL needs to be recompiled against the newly installed PDL");
   
